// ttystr.h
//
// This program is free software. See the file COPYING for details.
// Author: Mattias Engdegrd, 1997, 1998

#ifndef TTYSTR_H
#define TTYSTR_H

#include "config.h"

#ifdef LINUX
#include <sys/sysmacros.h>
#endif
#include <qstring.h>
#ifdef SOLARIS
#include <qintdict.h>
#endif

class Ttystr {
public:
    static QString name(int devnr);

private:
    static void read_devs();

#ifdef LINUX
    static int major_index(unsigned major);
    static char *tabstr(int devnr);

    static char *tab;
    
    static const int DEVNAMELEN = 8;
    static unsigned major_numbers[6]; // {2, 3, 4, 5, 19, 20}
    static const int NMAJORS = sizeof(major_numbers) / sizeof(unsigned);
    static const int NMINORS = 256;
    static const int NDEVS = NMAJORS * NMINORS;
    static const int DEVTABSIZE = NDEVS * DEVNAMELEN;
#endif

#ifdef SOLARIS
    static void scandevdir(char *prefix);

    static QIntDict<char> dict;
    static bool scanned;
#endif
};

#endif	// TTYSTR_H
